アラート構成を作成または更新するときに matchers.fieldName パラメータが受け入れるすべてのフィールド名を取得します。割り当てられた任意のロールを使用して、このエンドポイントを正常に呼び出すことができます。
アプリケーションがレスポンスを envelope JSON オブジェクトにラップするかどうかを示すフラグ。一部の API クライアントは、HTTP レスポンス ヘッダーまたはステータス コードにアクセスできません。これを修正するには、クエリで envelope=true を設定します。結果のリストを返すエンドポイントは、結果オブジェクトをエンベロープとして使用します。アプリケーションは、レスポンス本体にステータス パラメータを追加します。
デフォルト値はfalseです。
レスポンス本体を pretty-print 形式にするかどうかを示すフラグ。
デフォルト値はfalseです。
OK
値は APPLICATION_ID です。
値は CLUSTER_NAME です。
値は、TYPE_NAME、HOSTNAME、PORT、HOSTNAME_AND_PORT、REPLICA_SET_NAME、または ATLAS_NODE_TYPE です。
値は REPLICA_SET_NAME、SHARD_NAME、または CLUSTER_NAME です。
値は INSTANCE_NAME または PROCESSOR_NAME です。
値は ENDPOINT_ID です。
値は RULE_ID です。
値は SOFTWARE_TYPE です。
値は CLUSTER_NAME です。
許可されていません。
Forbidden.
内部サーバーエラー。
curl \
--request GET 'https://cloud.mongodb.com/api/atlas/v1.0/alertConfigs/matchers/fieldNames' \
--header "Authorization: Bearer $ACCESS_TOKEN"
[
"APPLICATION_ID"
]
{
"detail": "(This is just an example, the exception may not be related to this endpoint)",
"error": 401,
"errorCode": "NOT_ORG_GROUP_CREATOR",
"reason": "Unauthorized"
}
{
"detail": "(This is just an example, the exception may not be related to this endpoint)",
"error": 403,
"errorCode": "CANNOT_CHANGE_GROUP_NAME",
"reason": "Forbidden"
}
{
"detail": "(This is just an example, the exception may not be related to this endpoint)",
"error": 500,
"errorCode": "UNEXPECTED_ERROR",
"reason": "Internal Server Error"
}